## osm2go 0.2-1

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

include version.mk

PKGS = gtk+-2.0 libxml-2.0 libgnomecanvas-2.0 libcurl gthread-2.0

OBJS = main.o map.o gpx.o utm.o potlatch_conf.o osm_api.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o

DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" 
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/gpxview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\#

dep:
	makedepend -Y *.c

# DO NOT DELETE

diff.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
diff.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
gpx.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
gpx.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
icon.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
icon.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
iconbar.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
iconbar.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
iconbar.o: info.h
info.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
info.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
main.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
main.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
map.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
map.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
map_hl.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
map_hl.o: info.h
osm_api.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
osm_api.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
osm_api.o: info.h
pos.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
pos.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
potlatch_conf.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
potlatch_conf.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h
potlatch_conf.o: icon.h info.h
project.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
project.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
project.o: info.h
settings.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
settings.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h
settings.o: icon.h info.h
statusbar.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
statusbar.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h
statusbar.o: icon.h info.h
utm.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
utm.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
