=== debian/changelog ===
osm2go (0.2-1) unstable; urgency=low

  * Fixed crash when selecting highlight of a way

 -- Till Harbaum <harbaum@metis>  Tue, 30 Sep 2008 12:53:38 +0200

osm2go (0.2) unstable; urgency=low

  * Node adding
  * Node deletion
  * Various error handling and optimizations

 -- Till Harbaum <harbaum@metis>  Mon, 29 Sep 2008 20:50:59 +0200

osm2go (0.1-2) unstable; urgency=low

  * First trials at node adding
  * Rewritten touchscreen/mouse handling

 -- Till Harbaum <Till@Harbaum.org>  Fri, 26 Sep 2008 13:54:54 +0200

osm2go (0.1-1) unstable; urgency=low

  * Initial release

 -- Till Harbaum <Till@Harbaum.org>  Fri, 01 Aug 2008 12:19:28 +0200
