## osm2go 0.3-1

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

include version.mk

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0

OBJS = main.o map.o osm.o utm.o potlatch_conf.o osm_api.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o

DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/osmview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\#

dep:
	makedepend -Y *.c

# DO NOT DELETE

diff.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
diff.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
diff.o: info.h track.h gps.h
gps.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
gps.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
gps.o: info.h track.h gps.h
icon.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
icon.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
icon.o: info.h track.h gps.h
iconbar.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
iconbar.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
iconbar.o: iconbar.h icon.h info.h track.h gps.h
info.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
info.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
info.o: info.h track.h gps.h
main.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
main.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
main.o: info.h track.h gps.h
map.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
map.o: info.h track.h gps.h
map_hl.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
map_hl.o: info.h track.h gps.h
osm.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
osm.o: info.h track.h gps.h
osm_api.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
osm_api.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
osm_api.o: iconbar.h icon.h info.h track.h gps.h
pos.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
pos.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
pos.o: info.h track.h gps.h
potlatch_conf.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
potlatch_conf.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
potlatch_conf.o: iconbar.h icon.h info.h track.h gps.h
project.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
project.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
project.o: iconbar.h icon.h info.h track.h gps.h
settings.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
settings.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
settings.o: iconbar.h icon.h info.h track.h gps.h
statusbar.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
statusbar.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
statusbar.o: iconbar.h icon.h info.h track.h gps.h
track.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
track.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
track.o: info.h track.h gps.h
utm.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
utm.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
utm.o: info.h track.h gps.h
