=== tests/Makefile ===
#
# OSM2Go
#

APP = goocanvas

PKGS = gtk+-2.0 goocanvas

OBJS = goocanvas.o

DEFS = -DPACKAGE=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)


clean:
	rm -f $(APP) *.o *~ \#*\#

dep:
	makedepend -Y *.c
