=== debian/changelog ===
osm2go (0.3-1) unstable; urgency=low

  * Track/GPS support
  * Switch from gnomecanvas to goocanvas
	
 -- Till Harbaum <harbaum@metis>  Fri, 10 Oct 2008 10:02:21 +0200
