=== debian/changelog ===
osm2go (0.3-2) unstable; urgency=low

  * Projection changed from utm to normal mercartor
  * Limited motion event frequency for more fluid dragging on hildon

 -- Till Harbaum <harbaum@metis>  Thu, 16 Oct 2008 13:22:39 +0200
