## osm2go 0.3-3

=== Makefile ===
--- 
+++ 
@@ -10,9 +10,9 @@
 PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
 	gnome-vfs-module-2.0
 
-OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o \
+OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o wms.o \
 	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
-	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o
+	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o 
 
 DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" -DUSE_GOOCANVAS
 CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
