=== debian/changelog ===
osm2go (0.3-3) unstable; urgency=low

  * Node/relation check now includes ways
  * First tests with WMS server import as background layer

 -- Till Harbaum <harbaum@metis>  Fri, 17 Oct 2008 16:35:52 +0200
