=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: user/other
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), libxml2-dev, libcurl3-openssl-dev, libhildon1-dev, libgnomecanvas2-dev, libosso-dev
+Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev
 Standards-Version: 3.7.2
 
 Package: osm2go
 Architecture: any
 Pre-Depends: maemo-select-menu-location
-Depends: ${shlibs:Depends}
-Description: Small OpenStreeMap Editor
- Edit openstreetmap.org map data on the road
+Depends: ${shlibs:Depends}, libgoocanvas3
+Description: Mobile OpenStreeMap Editor
+ Edit openstreetmap.org map data on the road.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
  vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP
