=== debian/changelog ===
osm2go (0.3-4) unstable; urgency=low

  * Added ability to adjust background (wms) offset
  * Gui cleanup using ok/cancel buttons
  * Improved catching of download error conditions
	
 -- Till Harbaum <harbaum@metis>  Sat, 25 Oct 2008 14:44:52 +0200
