## osm2go 0.4-1

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

include version.mk

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0

OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o wms.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
	area_edit.o josm_presets.o

DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/osmview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\#

dep:
	makedepend -Y *.c

# DO NOT DELETE

area_edit.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
area_edit.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
area_edit.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
canvas_gnomecanvas.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
canvas_gnomecanvas.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
canvas_gnomecanvas.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
canvas_gnomecanvas.o: wms.h josm_presets.h
canvas_goocanvas.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
canvas_goocanvas.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
canvas_goocanvas.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
canvas_goocanvas.o: wms.h josm_presets.h
dbus.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
dbus.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
dbus.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
diff.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
diff.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
diff.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
gps.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
gps.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
gps.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
icon.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
icon.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
icon.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
iconbar.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
iconbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
iconbar.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
info.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
info.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
info.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
josm_presets.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
josm_presets.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
josm_presets.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
main.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
main.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
main.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map_hl.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map_hl.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm_api.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm_api.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm_api.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
pos.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
pos.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
pos.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
potlatch_conf.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
potlatch_conf.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
potlatch_conf.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
potlatch_conf.o: wms.h josm_presets.h
project.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
project.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
project.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
settings.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
settings.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
settings.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
statusbar.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
statusbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
statusbar.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
track.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
track.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
track.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
wms.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
wms.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
wms.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
