=== debian/changelog ===
osm2go (0.4-1) unstable; urgency=low

  * Handle JOSM presets.xml
  * Import all josm preset icons
	
 -- Till Harbaum <harbaum@metis>  Thu, 30 Oct 2008 21:13:03 +0100

osm2go (0.3-5) unstable; urgency=low

  * Project selection/creation/...
  * Various catching of error situations e.g. during download
	
 -- Till Harbaum <harbaum@metis>  Mon, 27 Oct 2008 21:17:51 +0100
