=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: osm2go
-Section: user/other
+Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
 Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev
