## osm2go 0.4-2

=== debian/changelog ===
osm2go (0.4-2) unstable; urgency=low

  * Prevent placement of nodes outside working area
  * Save presets dialog space by using top label/sep as dialog title
  * Fixed problems with custom gtktreeview select function
  * Pre-fill the preset dialogs with previous data where applicable
  * Disable hildon autocap on certain dialogs (e.g. password)
	
 -- Till Harbaum <harbaum@metis>  Sun, 02 Nov 2008 13:35:59 +0100
