## osm2go 0.5-1

=== debian/changelog ===
osm2go (0.5-1) unstable; urgency=low

  * First usable way creation/deletion
  * Various bug fixes
	
 -- Till Harbaum <harbaum@metis>  Wed, 05 Nov 2008 22:05:06 +0100

osm2go (0.4-3) unstable; urgency=low

  * First test on way creation
  * Fixed parsing of pre-filled check boxes (accept "true" and "yes")
	
 -- Till Harbaum <harbaum@metis>  Tue, 04 Nov 2008 21:28:45 +0100
