## osm2go 0.5-2

=== debian/changelog ===
osm2go (0.5-2) unstable; urgency=low

  * Added node joining (incl. way joining) by drag'n drop
  * Merge selected presets instead of replacing everything
  * Added ability to add nodes to existing ways
  * Initial relation handling (join/delete now affects relations)
  * More hildon autocap disabled
	
 -- Till Harbaum <harbaum@metis>  Sat, 08 Nov 2008 12:28:09 +0100
