## osm2go 0.5-3

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0

OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o wms.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
	area_edit.o josm_presets.o

DEFS = -DPACKAGE=\"$(APP)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

version.h: debian/changelog
	awk '!/^$$/ { print "#define VERSION \"" $$2 "\"";exit }' debian/changelog | tr -d \(\) > $@

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/osmview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\# version.h *.bak

dep:
	makedepend -Y *.c

# DO NOT DELETE

area_edit.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
area_edit.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
area_edit.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
area_edit.o: josm_presets.h
canvas_gnomecanvas.o: appdata.h version.h pos.h osm.h potlatch_conf.h
canvas_gnomecanvas.o: canvas.h map.h map_hl.h osm_api.h project.h statusbar.h
canvas_gnomecanvas.o: area_edit.h settings.h diff.h iconbar.h icon.h info.h
canvas_gnomecanvas.o: track.h gps.h wms.h josm_presets.h
canvas_goocanvas.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
canvas_goocanvas.o: map.h map_hl.h osm_api.h project.h statusbar.h
canvas_goocanvas.o: area_edit.h settings.h diff.h iconbar.h icon.h info.h
canvas_goocanvas.o: track.h gps.h wms.h josm_presets.h
dbus.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
dbus.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
dbus.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
diff.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
diff.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
diff.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
gps.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
gps.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
gps.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
icon.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
icon.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
icon.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
iconbar.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
iconbar.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
iconbar.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
info.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
info.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
info.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
josm_presets.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
josm_presets.o: map.h map_hl.h osm_api.h project.h statusbar.h area_edit.h
josm_presets.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h wms.h
josm_presets.o: josm_presets.h
main.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
main.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
main.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
map.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map_hl.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
map_hl.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
map_hl.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
osm.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm_api.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
osm_api.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
osm_api.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
pos.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
pos.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
pos.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
potlatch_conf.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
potlatch_conf.o: map.h map_hl.h osm_api.h project.h statusbar.h area_edit.h
potlatch_conf.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
potlatch_conf.o: wms.h josm_presets.h
project.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
project.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
project.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
settings.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
settings.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
settings.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
statusbar.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
statusbar.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
statusbar.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
statusbar.o: josm_presets.h
track.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
track.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
track.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
wms.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
wms.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
wms.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
