=== debian/changelog ===
osm2go (0.5-3) unstable; urgency=low

  * hard key bindings
  * way creation end by double click/tap
  * way "rotation" for cut of circular ways

 -- Till Harbaum <harbaum@metis>  Thu, 13 Nov 2008 17:32:41 +0100
