=== debian/changelog ===
osm2go (0.5-4) unstable; urgency=low

  * info dialog highlights tag collisions
  * ability to hide objects to increase graphics performance
  * relation handling
  * save zoom/scroll offset in project
  * "last" tags (like potlatch) and cancel in info dialog
	
 -- Till Harbaum <harbaum@metis>  Fri, 14 Nov 2008 18:35:42 +0100
